set workSheetBufName "";

proc IsThisTheWorkSheetWindow {theWindow} \
{
	global workSheet

	if {$workSheet} \
	{
		return [expr {[catch {getbuffervariable $theWindow worksheet} errorMessage]==0}]
	}
	return 0
}

proc OpenWorkSheet {} \
{
	global env workSheetBufName SCRIPTPATH
	global theWorksheetPathName

	if {[file exists $theWorksheetPathName]} \
	{
		OpenDefaultWindow [set workSheetBufName [openbuffer $theWorksheetPathName]]
		setbuffervariable $workSheetBufName worksheet "";
	} \
	else \
	{
		OpenDefaultWindow [set workSheetBufName [newbuffer $theWorksheetPathName]]
		setbuffervariable $workSheetBufName worksheet "";
		if {[catch {savebufferas $workSheetBufName $theWorksheetPathName} errorMessage]!=0} \
		{
			okdialog "Failed to save:\n'$theWorksheetPathName'\n$errorMessage"
			return -code error
		}
	}
}

if {$workSheet=="TRUE"} \
{
	OpenWorkSheet;					# open the worksheet
	bindkey F8			{x0000000000} {homewindow $workSheetBufName 0 0;settopwindow $workSheetBufName}
}

